/*
 * File:		evssc.c
 * Purpose:		Sample dBUG system call interface routines.
 *
 * Notes:
 *
 * Date:		8-14-96
 *
 * Modifications:
 *
 */


/*******************************************************************
 *                                                                 *
 * Serial Input/Output routines for Port A                         *
 *                                                                 *
 *******************************************************************/
void
board_out_char (int ch)
{
	/*
	 * If your C compiler produces a LINK/UNLK pair for this routine,
	 * then use the following code snippet, which takes this into
	 * account.
	 */
#if 1
	/* LINK	a6,#0 -- produced by C compiler */
    asm ("  move.l  8(a6),d1");		/* put 'ch' into D1 */
    asm ("  move.l  #0x0013,d0");
    asm ("  trap    #15");
	/* UNLK a6    -- produced by C compiler */
#else
	/*
	 * If your C compiler does not produce a LINK/UNLK pair, then
	 * use this code snippet.
	 */
    asm ("  move.l  4(sp),d1");		/* put 'ch' into D1 */
    asm ("  move.l  #0x0013,d0");
    asm ("  trap    #15");
#endif
}

/*******************************************************************/
int
board_in_char (void)
{
    asm ("  move.l  #0x0010,d0");
    asm ("  trap    #15");
    asm ("  move.l  d1,d0");
}

/*******************************************************************/
int
board_char_present (void)
{
    asm ("  move.l  #0x0014,d0");
    asm ("  trap    #15");
}

/*******************************************************************/
void
board_exit_to_dbug (void)
{
    asm ("  move.l  #0x0000,d0");
    asm ("  trap    #15");
}

/*******************************************************************/
#if 0
void main (void)
{
	int ch;
	while (!board_char_present())
		;
	ch = board_in_char();
	board_out_char(ch);
	board_exit_to_dbug();
}
#endif
/*******************************************************************/
