/*
 * File:		cpus.h
 * Purpose:		Include file to obtain CPU specific information.
 *
 * Notes:
 *
 * Date:		6-3-96
 *
 * Modifications:
 *
 */

/*
 * This includes CPU specific information as well as provides function
 * prototypes and additional commands to dBUG.
 */

/****************************************************************/
#if (defined(MCF5200D))
#include "mcf5200.h"

/****************************************************************/
#elif (defined(MCF5202))
#include "mcf5202.h"

/****************************************************************/
#elif (defined(MCF5204))
#include "mcf5204.h"

/****************************************************************/
#elif (defined(MCF5206))
#include "mcf5206.h"

/****************************************************************/
#elif (defined(MC68EC020))
#include "mc68ec020.h"

/****************************************************************/
#elif (defined(MC68EC030))
#include "mc68ec030.h"

/****************************************************************/
#elif (defined(MC68EC040))
#include "mc68ec040.h"

/****************************************************************/
#elif (defined(MPC602))
#include "mpc602.h"

/****************************************************************/
#elif (defined(MPC603))
#include "mpc603.h"

/****************************************************************/
#elif (defined(MPC860))
#include "mpc860.h"

/****************************************************************/
#else

#if (defined(NEW_DBUG_CPU))
#include "src/dbug/newcpu.h"
#else
#error "Error:  No entry for CPU in cpus.h"
#endif

#endif
/****************************************************************/

