/*
 * File:		tftp.h
 * Purpose:		Data definitions for TFTP
 *
 * Notes:
 *
 * Date:		3-26-96
 *
 * Modifications:
 *
 */


#ifndef _TFTP_H
#define _TFTP_H

#include "ip.h"
#include "udp.h"
#include "nif.h"

#define TFTP_RRQ	(1)
#define TFTP_WRQ	(2)
#define TFTP_DATA	(3)
#define TFTP_ACK	(4)
#define TFTP_ERROR	(5)

#define TFTP_ERR_FNF	"File not found."
#define TFTP_ERR_AV		"Access violation."
#define TFTP_ERR_DF		"Disk full or allocation exceeded."
#define TFTP_ERR_ILL	"Illegal TFTP operation."
#define TFTP_ERR_TID	"Unknown transfer ID."
#define TFTP_FE			"File already exists."
#define TFTP_NSU		"No such user."
#define TFTP_ERR_UD		"Undefined error."

int
tftp_handler (
	NIF *,
	ip_frame_hdr *,
	udp_frame_hdr *,
	UINT8	*,
	int	
	) ;


#endif	/* _TFTP_H */
