/*
 * File:		udp.h
 * Purpose:		UDP data definitions
 *
 * Notes:
 *
 * Date:		3-26-96
 *
 * Modifications:
 *
 */


#ifndef _UDP_H
#define _UDP_H

/*
 * This file contains the type declarations for User Datagram Protocol.
 */

#include "ip.h"
#include "nif.h"

typedef struct
{
	UINT16		src_port;
	UINT16		dest_port;
	UINT16		length;
	UINT16		chksum;
} udp_frame_hdr;

#define UDP_SOURCE(a)	(a->src_port)
#define UDP_DEST(a)		(a->dest_port)
#define UDP_LENGTH(a)	(a->length)
#define UDP_CHKSUM(a)	(a->chksum)

#define UDP_PORT_TELNET	(23)
#define UDP_PORT_FTP	(21)
#define UDP_PORT_TFTP	(69)

typedef struct
{
	IP_ADDR		client_ip;
	UINT16		client_port;
	IP_ADDR		server_ip;
	UINT16		server_port;
} udp_socket;

void
udp_init (void);

#define DEFAULT_UDP_PORT	(0x4321)
UINT16
udp_obtain_free_port (void);

#if 0
void
udp_bind_port (UINT16);
#endif

void
udp_bind_port (UINT16,
	int (*)(
		NIF *,
		ip_frame_hdr *,
		udp_frame_hdr *,
		UINT8   *,
		int)
);

void
udp_free_port (UINT16);

int
udp_send (NIF *, UINT8 *, int, int, UINT8 *, int);

int
udp_handler (NIF *, ip_frame_hdr *, UINT8 *, int);

ip_frame_hdr *
udp_wait (NIF *, void *, int, udp_frame_hdr **, int);

#endif 	/* _UDP_H */
